## org.w3c.jigsaw.auth
Class PasswordAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.Attribute
            |
            +--org.w3c.tools.resources.StringAttribute
                  |
                  +--org.w3c.jigsaw.auth.PasswordAttribute

public class PasswordAttribute
extends StringAttribute

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`PasswordAttribute(java.lang.String name, java.lang.String password, int flags)`

Methods inherited from class org.w3c.tools.resources.StringAttribute
`checkValue, getPickleLength, pickle, unpickle`

Methods inherited from class org.w3c.tools.resources.Attribute
`checkFlag, getDefault, getName, getType, stringify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasswordAttribute

    public PasswordAttribute(java.lang.String name,
                             java.lang.String password,
                             int flags)